package hiro.yoshioka.sql.util;

public enum LaunchTimingType {
	onLoad, onClick, unKnown;

	public static LaunchTimingType parse(String text) {
		if ("onload".equalsIgnoreCase(text) || "on_load".equalsIgnoreCase(text)) {
			return onLoad;
		}
		if ("onclick".equalsIgnoreCase(text)
				|| "on_click".equalsIgnoreCase(text)) {
			return onClick;
		}
		return unKnown;
	}
}
